> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an Event

Returns the Event object associated with the ID.

## Path Parameters

## Returns

Returns the Event object associated with the ID.

```bash cURL theme={null}
curl https://production.methodfi.com/events/evt_knqJgxKUnqDVJ \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

```javascript Node.js theme={null}
const event = await method.events.retrieve('evt_knqJgxKUnqDVJ');
```

```python Python theme={null}
event = method.events.retrieve('evt_knqJgxKUnqDVJ')
```

```json theme={null}
{
  "id": "evt_7pPmytbXgWk7C",
  "type": "credit_score.increased",
  "resource_id": "crs_wXVk4MM7QWNnh",
  "resource_type": "credit_score",
  "data": "CreditScore",
  "diff": {
    "before": {
      "id": "crs_pn4ca33GXFaCE",
      "entity_id": "ent_au22b1fbFJbp8",
      "status": "completed",
      "scores": [
        {
          "score": 724,
          "source": "equifax",
          "model": "vantage_4",
          "factors": []
        }
      ]
    },
    "after": {
      "id": "crs_wXVk4MM7QWNnh",
      "entity_id": "ent_au22b1fbFJbp8",
      "status": "completed", 
      "scores": [
        {
          "score": 741,
          "source": "equifax",
          "model": "vantage_4",
          "factors": []
        }
      ]
    }
  },
  "updated_at": "2024-08-01T16:08:25.462Z",
  "created_at": "2024-08-01T16:08:25.462Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.